// Copyright (C) 1999-2015
// Smithsonian Astrophysical Observatory, Cambridge, MA, USA
// For conditions of distribution and use, see copyright notice in "copyright"

#include <iostream>
#include <sstream>
#include <iomanip>
using namespace std;

#include "tk.h"
#include "tkWinInt.h"

extern "C" {
  void XXWarpPointer(Display* display, Window src_w, Window dest_w,
		     int src_x, int src_y,
		     unsigned int src_width, unsigned int src_height,
		     int dest_x, int dest_y)
  {
    if (dest_w != None)
      // move to absolute location
      XWarpPointer(display, src_w, dest_w, src_x, src_y, src_width, src_height,
		   dest_x, dest_y);
    else {
      // move to relative location
      POINT p;
      GetCursorPos(&p);
      SetCursorPos(p.x+dest_x, p.y+dest_y);
    }
  }
}
